Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP::TargetAddress_var Class Reference

`#include <GIOPC.h>`

Collaboration diagram for GIOP::TargetAddress_var:

[legend]
List of all members.

## Public Methods
| TargetAddress_var (void)
| TargetAddress_var (TargetAddress *)
| TargetAddress_var (const TargetAddress_var &)
| ~TargetAddress_var (void)
TargetAddress_var & | operator= (TargetAddress *)
TargetAddress_var & | operator= (const TargetAddress_var &)
TargetAddress * | operator-> (void)
const TargetAddress * | operator-> (void) const
| operator const TargetAddress & () const
| operator TargetAddress & ()
| operator TargetAddress & () const
const TargetAddress & | in (void) const
TargetAddress & | inout (void)
TargetAddress *& | out (void)
TargetAddress * | _retn (void)
TargetAddress * | ptr (void) const
## Private Attributes
TargetAddress * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE GIOP::TargetAddress_var::TargetAddress_var | ( | void |  | ) |

ACE_INLINE GIOP::TargetAddress_var::TargetAddress_var | ( | GIOP::TargetAddress * | p | ) |

ACE_INLINE GIOP::TargetAddress_var::TargetAddress_var | ( | const TargetAddress_var & | p | ) |

ACE_INLINE GIOP::TargetAddress_var::~TargetAddress_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE GIOP::TargetAddress * GIOP::TargetAddress_var::_retn | ( | void |  | ) |

ACE_INLINE const GIOP::TargetAddress & GIOP::TargetAddress_var::in | ( | void |  | ) | const

ACE_INLINE GIOP::TargetAddress & GIOP::TargetAddress_var::inout | ( | void |  | ) |

GIOP::TargetAddress_var::operator const TargetAddress & | ( |  | ) | const

GIOP::TargetAddress_var::operator TargetAddress & | ( |  | ) | const

GIOP::TargetAddress_var::operator TargetAddress & | ( |  | ) |

ACE_INLINE const GIOP::TargetAddress * GIOP::TargetAddress_var::operator-> | ( | void |  | ) | const

ACE_INLINE GIOP::TargetAddress * GIOP::TargetAddress_var::operator-> | ( | void |  | ) |

ACE_INLINE GIOP::TargetAddress_var & GIOP::TargetAddress_var::operator= | ( | const TargetAddress_var & | p | ) |

ACE_INLINE GIOP::TargetAddress_var & GIOP::TargetAddress_var::operator= | ( | GIOP::TargetAddress * | p | ) |

ACE_INLINE GIOP::TargetAddress *& GIOP::TargetAddress_var::out | ( | void |  | ) |

ACE_INLINE GIOP::TargetAddress * GIOP::TargetAddress_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TargetAddress* GIOP::TargetAddress_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- GIOPC.h
- GIOPC.i